Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.amazonaws.services.s3.model
Enum Permission

    java.lang.Object
      java.lang.Enum<Permission>
          com.amazonaws.services.s3.model.Permission

All Implemented Interfaces:
  Serializable, Comparable<Permission>

    public enum Permission

extends Enum<Permission>

Represents an access permission, as granted to grantees in an `AccessControlList`. Only a limited set of permission are available, and each one is represented as a member of this enum.

Enum Constant Summary
`FullControl` Provides READ, WRITE, READ_ACP, and WRITE_ACP permissions.
`Read` When applied to a bucket, grants permission to list the bucket.
`ReadAcp` Grants permission to read the ACL for the applicable bucket or object.
`Write` When applied to a bucket, grants permission to create, overwrite, and delete any object in the bucket.
`WriteAcp` Gives permission to overwrite the ACP for the applicable bucket or object.

Method Summary
`static Permission` | `parsePermission(String str)`
`String` | `toString()` Returns the string representation of this permission object as defined by Amazon S3, eg `FULL_CONTROL`
`static Permission` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Permission[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FullControl

    public static final Permission FullControl

  Provides READ, WRITE, READ_ACP, and WRITE_ACP permissions.

  It does not convey additional rights and is provided only for convenience.

### Read

    public static final Permission Read

  When applied to a bucket, grants permission to list the bucket.

  When applied to an object, grants permission to read the object data and/or metadata.

### Write

    public static final Permission Write

  When applied to a bucket, grants permission to create, overwrite, and delete any object in the bucket.

  This permission is not supported for objects.

### ReadAcp

    public static final Permission ReadAcp

  Grants permission to read the ACL for the applicable bucket or object.

  The owner of a bucket or object always has this permission implicitly.

### WriteAcp

    public static final Permission WriteAcp

  Gives permission to overwrite the ACP for the applicable bucket or object.

  The owner of a bucket or object always has this permission implicitly.

  Granting this permission is equivalent to granting FULL_CONTROL because the grant recipient can make any changes to the ACP.

Method Detail

### values

    public static Permission[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Permission c : Permission.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Permission valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Returns the string representation of this permission object as defined by Amazon S3, eg `FULL_CONTROL`

  Overrides:
    `toString` in class `Enum<Permission>`
  Returns:
    the string representation of this permission object as defined by Amazon S3, eg `FULL_CONTROL`

### parsePermission

    public static Permission parsePermission(String str)

  Parameters:
    `str` - a string representation of an S3 permission, eg `FULL_CONTROL`
  Returns:
    the Permission object represented by the given permission string, or null if the string isn't a valid representation of an S3 permission.

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.